package com.kingdee.eas.custom.log;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncLogEntryFactory
{
    private SyncLogEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.log.ISyncLogEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLogEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("2AAAE378") ,com.kingdee.eas.custom.log.ISyncLogEntry.class);
    }
    
    public static com.kingdee.eas.custom.log.ISyncLogEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLogEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("2AAAE378") ,com.kingdee.eas.custom.log.ISyncLogEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.log.ISyncLogEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLogEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("2AAAE378"));
    }
    public static com.kingdee.eas.custom.log.ISyncLogEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLogEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("2AAAE378"));
    }
}